Table of Contents

## Name

glPassThrough - place a marker in the feedback buffer

## C Specification

void glPassThrough( GLfloat token )

## Parameters

token
  Specifies a marker value to be placed in the feedback buffer following a GL_PASS_THROUGH_TOKEN.

## Description

Feedback is a GL render mode. The mode is selected by calling glRenderMode with GL_FEEDBACK. When the GL is in feedback mode, no pixels are produced by rasterization. Instead, information about primitives that would have been rasterized is fed back to the application using the GL. See the glFeedbackBuffer reference page for a description of the feedback buffer and the values in it.

glPassThrough inserts a user-defined marker in the feedback buffer when it is executed in feedback mode. token is returned as if it were a primitive; it is indicated with its own unique identifying value: GL_PASS_THROUGH_TOKEN. The order of glPassThrough commands with respect to the specification of graphics primitives is maintained.

## Notes

glPassThrough is ignored if the GL is not in feedback mode.

## Errors

GL_INVALID_OPERATION is generated if glPassThrough is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glGet with argument GL_RENDER_MODE

## See Also

glFeedbackBuffer(3G) , glRenderMode(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- Errors
- Associated Gets
- See Also